## class: `Rectangle`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

<hr/>

## class: `ChatConversation`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name         | Privacy | Type | Default | Description | Inherited From |
| ------------ | ------- | ---- | ------- | ----------- | -------------- |
| `appearance` | public  |      |         |             |                |

### Methods

| Name                            | Privacy | Description | Parameters                                                            | Return | Inherited From |
| ------------------------------- | ------- | ----------- | --------------------------------------------------------------------- | ------ | -------------- |
| `slottedInputElementsChanged`   | public  |             | `_prev: HTMLElement[] \| undefined, next: HTMLElement[] \| undefined` | `void` |                |
| `slottedToolbarElementsChanged` | public  |             | `_prev: HTMLElement[] \| undefined, next: HTMLElement[] \| undefined` | `void` |                |

### Attributes

| Name         | Field      | Inherited From |
| ------------ | ---------- | -------------- |
| `appearance` | appearance |                |

<hr/>

## class: `ChatInput`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name              | Privacy | Type                  | Default | Description | Inherited From |
| ----------------- | ------- | --------------------- | ------- | ----------- | -------------- |
| `placeholder`     | public  | `string \| undefined` |         |             |                |
| `sendButtonLabel` | public  | `string \| undefined` |         |             |                |
| `stopButtonLabel` | public  | `string \| undefined` |         |             |                |
| `value`           | public  | `string`              | `''`    |             |                |
| `tabIndex`        | public  | `number`              |         |             |                |
| `maxLength`       | public  | `number \| undefined` | `-1`    |             |                |
| `processing`      | public  | `boolean`             | `false` |             |                |

### Attributes

| Name                | Field           | Inherited From |
| ------------------- | --------------- | -------------- |
| `placeholder`       | placeholder     |                |
| `send-button-label` | sendButtonLabel |                |
| `stop-button-label` | stopButtonLabel |                |
| `value`             | value           |                |
| `tabindex`          | tabIndex        |                |
| `maxlength`         | maxLength       |                |
| `processing`        | processing      |                |

<hr/>

## class: `ChatMessage`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name          | Privacy | Type              | Default | Description | Inherited From |
| ------------- | ------- | ----------------- | ------- | ----------- | -------------- |
| `messageType` | public  | `ChatMessageType` |         |             |                |

### Methods

| Name                                  | Privacy | Description | Parameters                                                            | Return | Inherited From |
| ------------------------------------- | ------- | ----------- | --------------------------------------------------------------------- | ------ | -------------- |
| `slottedFooterActionsElementsChanged` | public  |             | `_prev: HTMLElement[] \| undefined, next: HTMLElement[] \| undefined` | `void` |                |

### Attributes

| Name           | Field       | Inherited From |
| -------------- | ----------- | -------------- |
| `message-type` | messageType |                |

<hr/>

## class: `ChatMessageOutbound`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

<hr/>

## class: `ChatMessageSystem`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

<hr/>

## class: `ChatMessageInbound`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Methods

| Name                                  | Privacy | Description | Parameters                                                            | Return | Inherited From |
| ------------------------------------- | ------- | ----------- | --------------------------------------------------------------------- | ------ | -------------- |
| `slottedFooterActionsElementsChanged` | public  |             | `_prev: HTMLElement[] \| undefined, next: HTMLElement[] \| undefined` | `void` |                |

<hr/>
